%define _libdir /usr/lib

Summary: SCSI utilities
Name: scsiinfo
Version: 1.7
Release: 3%{?dist}
License: GPL
Group: Applications/System
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source: http://fresh.t-systems-sfr.com/linux/src/%{name}-%{version}.tar.gz
Patch0: scsiinfo-1.7.diff
Patch1: scsiinfo-1.7-scsifmt.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: tix

%description
Allows access to some internals of SCSI devices, such as
defect lists or the so-called mode pages, which control, for
example, the behavior of the device's cache or error management.

Note: scsiinfo comes with a graphical user interface which can be found
in the %{name}-gui package.

%package gui
Summary: Graphical frontend for scsiinfo
Group: Applications/System
Requires: %{name} = %{version}-%{release}, tix

%description gui
For visualization and manipulation of SCSI mode pages, scsiinfo comes
with graphical interface.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} clean
%{__make} CFLAGS="%{optflags} -Wall -D_GNU_SOURCE"

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc 0-CHANGES 0-README.first 0-TODO
%attr(0755,root,root) %{_sbindir}/sgcheck
%attr(0755,root,root) %{_bindir}/scsiinfo
%attr(0755,root,root) %{_bindir}/scsiformat
%{_mandir}/man8/scsiinfo.8.gz
%{_mandir}/man8/scsiformat.8.gz

%files gui
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/scsi-config
%attr(0755,root,root) %{_bindir}/tk_scsiformat
%{_libdir}/scsi
%{_mandir}/man8/tk_scsiformat.8.gz
%{_mandir}/man8/scsi-config.8.gz

%changelog
* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.7-3
- mass rebuild

* Fri Jan 11 2008 Simon Matter <simon.matter@invoca.ch> 1.7-2
- fix build on x86_64

* Thu Sep 06 2007 Simon Matter <simon.matter@invoca.ch> 1.7-1
- initial package
